# Generated from rcov-0.9.6.gem by gem2rpm -*- rpm-spec -*-
%global ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rcov
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%global rubyabi 1.8

Summary: Code coverage analysis tool for Ruby
Name: rubygem-%{gemname}
Version: 0.9.8
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://github.com/relevance/rcov
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby-devel
BuildRequires(check): ruby-devel, rubygem-rake
Provides: rubygem(%{gemname}) = %{version}

%description
rcov is a code coverage tool for Ruby. It is commonly used for viewing overall
test unit coverage of target code.  It features fast execution (20-300 times
faster than previous tools), multiple analysis modes, XHTML and several kinds
of text reports, easy automation with Rake via a RcovTask, fairly accurate
coverage information through code linkage inference using simple heuristics,
colorblind-friendliness...

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

%build
mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

# Arch dependent files go here
mkdir -p %{buildroot}%{ruby_sitearch}
mv %{buildroot}%{geminstdir}/lib/*.so %{buildroot}%{ruby_sitearch}

pushd %{buildroot}%{geminstdir}/ext/rcovrt
  make clean
popd

# lib is for libraries
chmod 644 %{buildroot}%{geminstdir}/lib/rcov/rcovtask.rb
sed -i -e '/^#!\/usr\/bin\/env ruby/d' \
  %{buildroot}%{geminstdir}/lib/rcov/rcovtask.rb

find %{buildroot}%{geminstdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

%clean
rm -rf %{buildroot}

%check
pushd .%{geminstdir}
rake test

%files
%defattr(-,root,root,-)
%{_bindir}/rcov
%doc %{geminstdir}/[A-Z]*
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%{ruby_sitearch}/*.so
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{geminstdir}/setup.rb
%{geminstdir}/doc
%{geminstdir}/ext
%{geminstdir}/test
%{geminstdir}/editor-extensions
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Tue May 04 2010 Matthew Kent <mkent@magoazul.com> - 0.9.8-1
- New upstream version - fix for occasional SEGV.
- Enable tests.

* Thu Dec 03 2009 Matthew Kent <mkent@magoazul.com> - 0.9.6-2
- Remove Requires for rubygem(rake) (#543337).
- Move ext to -doc (#543337).

* Tue Dec 01 2009 Matthew Kent <mkent@magoazul.com> - 0.9.6-1
- Initial package
